import { z } from "zod"

export const suggestedInteractionSchema = z.discriminatedUnion("type", [
    z.object({
        type: z.literal("use"),
        objectId: z.string()
    }),
    z.object({
        type: z.literal("combine"),
        objectIds: z.set(z.string())
    })
])

export type SuggestedInteraction = z.infer<typeof suggestedInteractionSchema>