import { Temporal } from "temporal-polyfill"
import { type SceneDefinition } from "../types"
import { defineInteractionScene } from "../types"

export const sceneTutorialKettensaege: SceneDefinition = defineInteractionScene({
    id: "tutorial-kettensaege",
    type: "interaction",
    label: "Tutorial: Kettensäge",
    plannedDuration: Temporal.Duration.from({ minutes: 8 }),
    objects: {
        kettensaege: {
            label: "Kettensäge",
            reveal: true,
        },
        redner: {
            label: "Redner",
            reveal: true,
        }
    },
    interactions: [
        {
            type: "combine",
            inputObjects: {
                "kettensaege": { consume: false },
                "redner": { consume: true },
            },
            outputObjectIds: [],
            note: "Bei den ersten zwei Versuchen unterbricht der Redner Faba, bevor er ihn verjagen kann. Beim dritten Mal flüchtet der Redner dann."
        },
        {
            type: "use",
            objectId: "kettensaege",
            consume: false,
            outputObjectIds: []
        }
    ]
})