import { Temporal } from "temporal-polyfill"
import { defineInteractionScene, type SceneDefinition } from "../types"

export const sceneTutorialVorhang: SceneDefinition = defineInteractionScene({
    id: "tutorial-vorhang",
    type: "interaction",
    label: "Tutorial: Vorhang",
    plannedDuration: Temporal.Duration.from({ seconds: 30 }),
    objects: {
        "buehnenbildner": {
            label: "Bühnenbildner",
            reveal: true
        },
        "vorhang": {
            label: "Vorhang",
            reveal: true
        }
    },
    interactions: [
        {
            type: "combine",
            inputObjects: {
                "buehnenbildner": { consume: true },
                "vorhang": { consume: true },
            },
            outputObjectIds: [],
        },
    ]
})